Bug 179548 - net/svnup: inconsistency in the $FreeBSD$ line
Summary: net/svnup: inconsistency in the $FreeBSD$ line
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-14 08:20 UTC by Alexey Markov
Modified: 2013-06-16 08:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Markov 2013-06-14 08:20:00 UTC
There is some inconsistency between svnup and release infrastructure of project concerning processing the $FreeBSD$ line in the head of source files: for example, for root Makefile in the 8.4-RELEASE source svnup changes this line to "$FreeBSD: base/release/8.4.0/Makefile 247537 2013-03-01 09:39:29Z des $", while in the distributed release this line looks like "$FreeBSD: release/8.4.0/Makefile 247537 2013-03-01 09:39:29Z des $".

It makes no difference for building the world or kernel, but very inconvenient for updating config files in the /etc (and running mergemaster generally).

I think it should be a uniform pattern for this line to use by svnup and release infrastructure of the project. Maybe an option for svnup to omit the "base/" part in this line?

How-To-Repeat: Get the sources for 8.4-RELEASE by svnup and compare it with sources from distribution media.
Comment 1 Edwin Groothuis freebsd_committer 2013-06-14 08:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

jgh@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-06-14 08:20:09 UTC
Maintainer of net/svnup,

Please note that PR ports/179548 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179548

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-06-14 08:20:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2013-06-16 08:07:25 UTC
Author: jgh
Date: Sun Jun 16 07:07:17 2013
New Revision: 321024
URL: http://svnweb.freebsd.org/changeset/ports/321024

Log:
  - update to 0.95
  
  svnup-0.95 - 15 June 2013
  - Fixed a bug with the $FreeBSD$ line (pr ports/179548)
  - Fixed a bug where local files were not being removed when using
    the -t option.
  
  PR:		179548
  Reported by:	redrat@mail.ru
  Submitted by:	jcm@visi.com (maintainer)

Modified:
  head/net/svnup/Makefile
  head/net/svnup/distinfo

Modified: head/net/svnup/Makefile
==============================================================================
--- head/net/svnup/Makefile	Sun Jun 16 05:49:15 2013	(r321023)
+++ head/net/svnup/Makefile	Sun Jun 16 07:07:17 2013	(r321024)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	svnup
-PORTVERSION=	0.90
+PORTVERSION=	0.95
 CATEGORIES=	net
 MASTER_SITES=	http://jcm.dsl.visi.com/freebsd/svnup/ \
 		LOCAL/jgh/net/${PORTNAME}/

Modified: head/net/svnup/distinfo
==============================================================================
--- head/net/svnup/distinfo	Sun Jun 16 05:49:15 2013	(r321023)
+++ head/net/svnup/distinfo	Sun Jun 16 07:07:17 2013	(r321024)
@@ -1,2 +1,2 @@
-SHA256 (svnup-0.90.tar.xz) = 766d5caedd500430c8595dd2f0a0c0024137138a68e1002ece9083c122179caa
-SIZE (svnup-0.90.tar.xz) = 18068
+SHA256 (svnup-0.95.tar.xz) = 03fad644168b0aa514cf9b6e955d8ac8ca9dee5d55a3b6dece40c206aae66430
+SIZE (svnup-0.95.tar.xz) = 18120
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2013-06-16 08:07:25 UTC
Author: jgh
Date: Sun Jun 16 07:07:17 2013
New Revision: 321024
URL: http://svnweb.freebsd.org/changeset/ports/321024

Log:
  - update to 0.95
  
  svnup-0.95 - 15 June 2013
  - Fixed a bug with the $FreeBSD$ line (pr ports/179548)
  - Fixed a bug where local files were not being removed when using
    the -t option.
  
  PR:		179548
  Reported by:	redrat@mail.ru
  Submitted by:	jcm@visi.com (maintainer)

Modified:
  head/net/svnup/Makefile
  head/net/svnup/distinfo

Modified: head/net/svnup/Makefile
==============================================================================
--- head/net/svnup/Makefile	Sun Jun 16 05:49:15 2013	(r321023)
+++ head/net/svnup/Makefile	Sun Jun 16 07:07:17 2013	(r321024)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	svnup
-PORTVERSION=	0.90
+PORTVERSION=	0.95
 CATEGORIES=	net
 MASTER_SITES=	http://jcm.dsl.visi.com/freebsd/svnup/ \
 		LOCAL/jgh/net/${PORTNAME}/

Modified: head/net/svnup/distinfo
==============================================================================
--- head/net/svnup/distinfo	Sun Jun 16 05:49:15 2013	(r321023)
+++ head/net/svnup/distinfo	Sun Jun 16 07:07:17 2013	(r321024)
@@ -1,2 +1,2 @@
-SHA256 (svnup-0.90.tar.xz) = 766d5caedd500430c8595dd2f0a0c0024137138a68e1002ece9083c122179caa
-SIZE (svnup-0.90.tar.xz) = 18068
+SHA256 (svnup-0.95.tar.xz) = 03fad644168b0aa514cf9b6e955d8ac8ca9dee5d55a3b6dece40c206aae66430
+SIZE (svnup-0.95.tar.xz) = 18120
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Jason Helfman freebsd_committer 2013-06-16 08:07:59 UTC
State Changed
From-To: feedback->closed

fixed in r321024